﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class InputManager_Repeater : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            DataTable table = new DataTable();
            DataRow row;
            table.Columns.Add("Column1");
            row = table.NewRow();
            table.Rows.Add(row);
            row = table.NewRow();
            table.Rows.Add(row);

            Repeater1.DataSource = table;
            Repeater1.DataBind();
        }
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        NumericTextBoxSetting numericSetting = new NumericTextBoxSetting();
        numericSetting.Validation.IsRequired = true;
        numericSetting.BehaviorID = "numeric";
        RadInputManager1.InputSettings.Add(numericSetting);

        RegExpTextBoxSetting mailSetting = new RegExpTextBoxSetting();
        mailSetting.ValidationExpression = "^\\w+([-+.']\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$";
        mailSetting.ErrorMessage = "Invalid Email";
        mailSetting.Validation.IsRequired = true;
        mailSetting.BehaviorID = "mail";
        RadInputManager1.InputSettings.Add(mailSetting);
    }

    protected void Repeater1_ItemDataBound(object sender, RepeaterItemEventArgs e)
    {
        TextBox numeric = (TextBox)e.Item.FindControl("NumericTbx");
        RadInputManager1.InputSettings[0].TargetControls.Add(new TargetInput(numeric.UniqueID, true));

        TextBox mail = (TextBox)e.Item.FindControl("MailTbx");
        RadInputManager1.InputSettings[1].TargetControls.Add(new TargetInput(mail.UniqueID, true));
        
    }
}